
Base Distribution - Story # 44976

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category: Content Editing
Created: 2013-01-30 Assigned To: Christopher Hlubek
Updated: 2013-01-31 Due date:
Subject: Content Module Frontend Loading Speed Optimization
Description

    -  reduce initial load time of backend

Related issues:
related to Base Distribution - Story # 44977: TYPO3 Flow (Backend) speed opti... New 2013-01-30

Associated revisions
Revision 1b2f0d97 - 2013-01-31 11:02 - Christopher Hlubek

[TASK] Improve caching and loading of VIE and node type schemata

This change implements a client-side resource cache that uses the
session storage and allows for early preloading of resources before
the page is loaded which speeds up the UI loading process.

Additionally the Neos node type schema is not embedded into the markup
but also loaded via the same mechanism as the VIE schema.

Change-Id: I63b663cc8a1ae62bfd1da4e6837fc676ee56a98b
Resolves: #44976

History
#1 - 2013-01-31 00:52 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17850

#2 - 2013-01-31 00:54 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved

#3 - 2013-01-31 01:07 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17850

#4 - 2013-01-31 11:02 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17850
